package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ author    :HJG
 * @ time      :2022/1/10 14:16
 */

@FeignClient(value = "dil-ams-api", url = "${openfeign.AmsFeign.url}")
public interface AmsFeign {

    //继续装
    @PostMapping("api/v1/ams/amssaleorders/continueSteelOrder")
    RESTfulResult continueSteelOrder(@RequestBody List<Map<String, Object>> mapList);

    @PostMapping("api/v1/ams/amssaleorders/closeSteelMaterialId")
    RESTfulResult closeSteelMaterialId(@RequestBody Map<String, Object> closeEntryMap);

    @PostMapping("api/v1/ams/amssaleorders/adverseCloseSaleMaterialByEas")
    RESTfulResult adverseCloseSaleMaterialByEas(@RequestParam BigDecimal saleMaterialId);
}
